{% extends "home/base.html" %}

{% load static %}

{% block title %}Firdaus Al-Ghifari{% endblock %}

{% block styles %}
<style>
    .nav-schedule a {
        color: rgba(0, 0, 0, 0.9) !important;
    }
</style>
{% endblock %}

{% block content %}

<div class="schedule-bg"></div>
<div id="schedule">
    <div class="schedule-wrapper">
        <div class="container">
            <h2 class="pt-3 text-center">Alghi Schedule</h2>

            <div class="row pb-4">
                {% if activities %}
                {% for activity in activities %}
                <div class="col-lg-4">
                    <ul class="mb-0">
                        <form action="/removeschedule/" method="POST">
                            {% csrf_token %}
                            <button class="cross-btn" type="submit">
                                <img class="cross-logo" src="{% static 'home/img/cross-flat.png' %}" width="25" height="25"><br>
                            </button>
                            <input type="hidden" name="id" value="{{ activity.id }}">
                        </form>
                        <li>
                            Start: {{ activity.start_time }}<br>
                            End: {{ activity.end_time }}<br>
                            Activity: {{ activity.message }}<br>
                            {% if activity.category != "" %}
                            Category: {{ activity.category }}<br>
                            {% endif %}
                            {% if activity.place != "" %}
                            Place: {{ activity.place }}<br>
                            {% endif %}
                        </li>
                    </ul>
                </div>
                {% endfor %}
                {% else %}
                    <p>No schedules are available.</p>
                {% endif %}
            </div>

            <form action="/addschedule/" method="POST">
                {% csrf_token %}
                <div class="form-group">
                    <label for="inputStartTime">Start Time</label>
                    <input name="start_time" type="datetime-local" class="form-control" id="start_time" placeholder="Enter start time" required>
                </div>
                <div class="form-group">
                    <label for="inputEndTime">End Time</label>
                    <input name="end_time" type="datetime-local" class="form-control" id="end_time" placeholder="Enter end time" required>
                </div>
                <div class="form-group">
                    <label for="inputMessage">Message</label>
                    <input name="message" type="text" class="form-control" id="message" placeholder="Enter message" maxlength="100" required>
                </div>
                <div class="form-group">
                    <label for="inputPlace">Place</label>
                    <input name="place" type="text" class="form-control" id="place" placeholder="Enter place" maxlength="100">
                </div>
                <div class="form-group">
                    <label for="inputMessage">Category</label>
                    <input name="category" type="text" class="form-control" id="category" placeholder="Enter category" maxlength="100">
                </div>
                <button type="submit" class="btn btn-primary add-schedule">Add</button>
            </form>
        </div>
    </div>
</div>

{% endblock %}